Disable custom operator

Deactivate a custom operator so that it cannot be used in subsequent workflow configurations or test runs. Deactivation does not automatically cancel workflow jobs that have already been started.

POST https://moi.matrixorigin.cn/newmoi/workflow/v2/custom-operators/$OPERATOR_ID/disable

Preparation before calling

First query custom operator details to confirm the operator to be disabled. Prepare the personal access token, target workspace ID, and custom operator ID that have access to the target workspace.

Request parameters

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/workflow/v2/custom-operators/$OPERATOR_ID/disable" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

The response returns the updated operator configuration. After deactivation is completed, the operator cannot be used for subsequent workflow configuration or trial run.

The response fields are as follows.

codestring
OK on success.
msgstring
OK on success.
data.idinteger
Custom operator ID.
data.node_idstring
Operator ID.
data.namestring
Operator name.
data.identifierstring
Operator ID.
data.descriptionstring
Operator description; returned if there is a value.
data.handlerstring
Processing function; returned when there is a value.
data.versionstring
Operator version; returned if there is a value.
data.isolation_levelstring
Isolation configuration; returned if there is a value.
data.languageinteger
Implements the numerical encoding of the language; returns if there is a value.
data.kindinteger
Numeric encoding of the operator type; returned if there is a value.
data.source_file_idstring
Source file ID; returned when created using a source file.
data.input_schemastring
Enter the defined serialization content; return if there is a value.
data.output_schemastring
Output the defined serialized content; return if there is a value.
data.binding_configstring
The serialized content of the binding configuration; returned if there is a value.
data.created_bystring
Creator ID; returned if there is a value.
data.updated_bystring
Last updater ID; returned if there is a value.
data.created_atinteger
Creation timestamp; returned if there is a value.
data.updated_atinteger
Last updated timestamp; returned if there is a value.
data.base_node_idstring
The basic operator associated with the built-in binding type; returned when there is a value.
data.base_node_versionstring
The basic operator version associated with the built-in binding type; returned when there is a value.
data.catalog_idinteger
The associated Catalog ID; returned if there is a value.
data.database_idinteger
The associated database ID; returned if there is a value.
data.enabledboolean
Enabled status.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "id": 123,
    "node_id": "moi:custom.operator:workspace:text_counter",
    "name": "文本计数",
    "enabled": false
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}

Follow-up operations

After completion Query custom operator details confirms the current status.

Last updated on